/** Customize style for icon, dropdown menu, popup of chart
 *
 * @see BANKX-28563
 * @date 15/11/17
 * @author Phearum CHAMROEUN
 */
td > div.dropdown-highchart {
	position: relative;
	display: inline-block;
	width: 45px;
	height: 50px;
	top: 0;
}

td > div.dropdown-highchart > img.dropdown-img-stat {
	color: white;
	padding: 6px;
	font-size: 16px;
	cursor: pointer;
	position: relative;
	top: 8px;
}

td > div.dropdown-highchart > .dropdown-content-option {
	display: none;
	position: absolute;
	right: -20px;
	background-color: #f9f9f9;
	width: 272px;
	height: 150px;
	box-shadow: 0 8px 16px 0 rgba(0,0,0,.2);
	z-index: 1;
	border: 1px solid #f4f4f4;
	border-top: none;
	top: 50px;
}

.description-label-top {
	font-family : EmbeddedDejaVuSans, sans-serif;
	font-size: 13px;
	position: absolute;
	top: 8px;
	width: 259px;
	padding-left: 10px;
	text-transform: none;
}

.description-label-bottom {
	font-family : EmbeddedDejaVuSans, sans-serif;
	font-size: 12px;
	font-weight: normal;
	position: absolute;
	top: 28px;
	padding-left: 10px;
	text-transform: none;
}

td > div.dropdown-highchart > .dropdown-content-option a {
	display: block;
	position: absolute;
}

td > div.dropdown-highchart > .dropdown-content-option a {
	text-decoration: none;
	font-weight: normal;
	width: 254px;
}
td > div.dropdown-highchart > .dropdown-content-option a:hover {
	text-decoration: none;
	font-weight: normal;
	width: 254px;
	color: #FFF !important;
}

td > div.dropdown-highchart > .vertical-line-menu {
	position: relative;
	float: left;
	width: 1px !important;
	height: 20px;
	margin-top: 12.5px;
	background: #f4f4f4;
}

td > div.dropdown-highchart hr.border-line-top {
	position: relative;
	top: -10px;
	left: 0;
	display: none;
	width: 221px;
	z-index: 10;
}

td > div.dropdown-highchart hr.border-line-bottom-des{
	display: none;
}


td > div.dropdown-highchart a.typeBanqe-amb.title-menu {
	font-size: 13px;
	font-family: EmbeddedDejaVuSans, sans-serif;
	color:#000000;
	padding: 6px 10px 9px 10px;
	position: absolute;
	width: 272px;
	text-transform: none;
}

td > div.dropdown-highchart a.title-menu {
	font-size: 13px;
	font-family: EmbeddedDejaVuSans, sans-serif;
	color:#000000;
	padding: 6px 10px 9px 10px;
	position: absolute;
	width: 252px;
	text-transform: none;
}

td > div.dropdown-highchart:hover {
	background: #ffffff;
}

td > div.dropdown-highchart > .dropdown-content-option a.typeBanqe-amb:hover {
	color: #FFF !important;
}

td > div.dropdown-highchart:hover .dropdown-content-option {
	display: block;
	position: absolute;
}

td > div.dropdown-highchart:hover .vertical-line-menu {
	top: -13px;
	height: 51px;
	z-index: 3;
}

#pop_in_content .chart-header-background {
	background-color: #EFEEEF;
	padding-top: 5px;
}

#popup_container .wrap-container {
	z-index: 200;
	display: none;
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: #282828;
	opacity: 1.3;
}

.chart-animate-top{
	position:relative;
	animation:animatetop .4s
}
@keyframes animatetop{from{top:-300px;opacity:0} to{top:0;opacity:1}}

.display-topright {
	position: absolute;
	right: 9px;
	top: 5px;
	color: #777;
	cursor: pointer;
	font-size: 24px;
	font-weight: bold;
	text-align: center;
	height: 24px;
	width: 25px;
}

.chart-dropdown-container {
	display: inline-block;
	cursor: pointer;
}

#pop_in_content .chart-container {
	width: 1154px;
	box-shadow: 2px 2px 8px 3px rgba(160, 160, 160, 0.15);
	-moz-box-shadow: 2px 2px 8px 3px rgba(160, 160, 160, 0.15);
	-webkit-box-shadow: 2px 2px 8px 3px rgba(160, 160, 160, 0.15);
	margin: auto;
	background-color: #fff;
	position: relative;
	padding: 0;
	outline: 0;
	margin-top: 70px;
	margin-bottom: 70px;
}

#pop_in_content .chart-header {
	position: relative;
	margin-top: -24px;
	width: 1154px;
	height: 40px;
	right: 0;
}

#pop_in_content header.chart-header b:nth-child(1) {
	z-index: 20;
	position: relative;
	left: 35.5%;
	top: 54px;
}

#chart-content .ui-widget-header.custom-widget-chart {
	color: #FEFEFE;
	font-weight: bold;
	margin-top: 0;
	bottom: 642px;
	height: 1.5px;
	position: absolute;
    width: 100%;
    box-sizing: border-box;
	border: 2px solid #FFF;
    background: #fff !important;
}

.sticky-header-top {
	position: absolute; 
	top: 7px;
	background-color: rgb(239, 238, 239);
	width: 37px;
	height: 1px;
	padding-top: 27px;
	right: 0;
}

.sticky-header-bottom {
	position: absolute; 
	margin-top: 0;
	top: 51.5px;
	background-color: rgb(239, 238, 239); 
	width: 37px;
	height: 0;
	padding-top: 26px;
	right: 0;
}

.sticky-header-right {
	position: absolute;
	top: 31px;
	background-color: rgb(239, 238, 239);
	width: 10px;
	height: 24px;
	right: 0;
}

.sticky-header-left {
	position: absolute;
	top: 31px;
	background-color: rgb(239, 238, 239);
	width: 10px;
	height: 24px;
	right: 33px;
}

span.highcharts-title {
	text-align: center !important;
	width: 97.01% !important;
	left: 0 !important;
	background: #efeeef;
	top: 7px !important;
}

span.highcharts-subtitle {
	text-align: center;
	width: 100%;
}

/* Edge */
@supports (-ms-ime-align: auto) {
	td > div.dropdown-highchart hr.border-line-top {
		left: -26px;
	}
}

/* IE */
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
	td > div.dropdown-highchart hr.border-line-top {
		left: -26px;
	}
}

table.header-dernier-solde-print tbody tr td table#releve-table-header {
	/*border: 1px solid #666766;*/
	border-bottom: none;
}

table.header-dernier-solde-print tbody tr td table#releve-table-header tbody > tr > td.t {
	line-height: 15px !important;
	font-size:13px;
	font-family:"Source sans pro";
}
/* Style lors de l'impression */
@media print {
	/* Tout les textes en noir */
	*
	{
		color: #000;
	}

	.no_print {
		display : none;
	}

	.print_only {
		display: block;
	}

	.header-dernier-solde-print {
		margin-top: 0 !important;
		padding: 0 !important;
	}

	table.header-dernier-solde-print tbody tr td table#releve-table-header {
		border: 0;
		border-collapse: collapse;
		border-bottom: 0 !important;
		width: 100% !important;
	}

	table.header-dernier-solde-print tbody tr td[align=left] table#releve-table-header tr td {
		padding-top: 5px !important;
		padding-bottom: 5px !important;
	}

	table {page-break-inside: avoid;}

	@page {
		size: A4 landscape;
	}

	@page land {size: landscape;}

	.ui-widget-header.custom-widget-chart {
		display: none;
	}

	.highcharts-button,
	.highcharts-contextbutton,
	.highcharts-button-normal {
		display: none !important;
	}

	.highcharts-button-symbol {
		display: none !important;
	}

	span.highcharts-title {
		width: 100% !important;
		text-align: center;
		font-size: 14px !important;
	}

	.highcharts-subtitle {
		text-align: center;
		font-size: 14px;
	}

	.highcharts-container {
		overflow: visible !important;
	}

	.legend-symbol {
		position : relative;
		top : 2px;
		border-radius: 2px;
		width: 18px;
		height: 12px;
	}
}

table.tabt > tbody > tr > td.tab.solde-negatif {
    color: #BC0F2D !important;
}